curl --request GET \
--url https://api.botpress.cloud/v1/admin/workspaces/{id}/audit-records \
--header 'Authorization: Bearer <token>'{
"records": [
{
"id": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceId": "<string>",
"action": "UNKNOWN",
"userEmail": "<string>",
"resourceName": "<string>",
"value": "<string>"
}
],
"meta": {
"nextToken": "<string>"
}
}Get the audit records of a workspace, sorted from most recent to oldest.
curl --request GET \
--url https://api.botpress.cloud/v1/admin/workspaces/{id}/audit-records \
--header 'Authorization: Bearer <token>'{
"records": [
{
"id": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceId": "<string>",
"action": "UNKNOWN",
"userEmail": "<string>",
"resourceName": "<string>",
"value": "<string>"
}
],
"meta": {
"nextToken": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://botpress.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Workspace ID
Provide the meta.nextToken value provided in the last API response to retrieve the next page of results
Was this page helpful?